# Class SectionTypeAttributes

#### Hierarchy

- XmlAttributeComponent<{ val: SectionType }>
  - SectionTypeAttributes

- Defined in src/file/document/body/section-properties/properties/section-type.ts:24

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new SectionTypeAttributes(properties: { val: SectionType }): SectionTypeAttributes

- #### Parameters

  - ##### properties: { val: SectionType }

    - ##### `Readonly` val: SectionType

  #### Returns SectionTypeAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc